### Function

# GimpUi zoom_button_new

#### Declaration [src]

    GtkWidget*
    gimp_zoom_button_new (
      GimpZoomModel* model,
      GimpZoomType zoom_type,
      GtkIconSize icon_size
    )

#### Description

No description available.

#### Parameters

`model` | `GimpZoomModel`
| A `GimpZoomModel`.
| The data is owned by the caller of the function.
`zoom_type` | `GimpZoomType`
| No description available.
`icon_size` | `GtkIconSize`
| Use 0 for a button with text labels.

#### Return value

Returns: | `GtkWidget`
| A newly created GtkButton Since GIMP 2.4
| The caller of the function takes ownership of the data, and is responsible for freeing it.